maven-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Ben Tatham (Jira)" <j...@apache.org>
Subject [jira] [Commented] (MSHADE-36) Dependency reduced pom does not replace the packaged META-INF/maven version
Date Thu, 22 Aug 2019 00:52:00 GMT

    [ https://issues.apache.org/jira/browse/MSHADE-36?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16912827#comment-16912827
] 

Ben Tatham commented on MSHADE-36:
----------------------------------

Would fixing this allow the dependency-reduced-pom to be used as the pom of the module in
a reactor build?

 

> Dependency reduced pom does not replace the packaged META-INF/maven version
> ---------------------------------------------------------------------------
>
>                 Key: MSHADE-36
>                 URL: https://issues.apache.org/jira/browse/MSHADE-36
>             Project: Maven Shade Plugin
>          Issue Type: Bug
>    Affects Versions: 1.1
>            Reporter: Mark Hobson
>            Priority: Major
>
> The dependency reduced pom needs to replace the packaged pom at:
> META-INF/maven/<groupId>/<artifactId>/pom.xml
> This will allow tools that use this metadata to read the correct shaded dependencies
(e.g. maven-runtime).



--
This message was sent by Atlassian Jira
(v8.3.2#803003)

Mime
View raw message